Skip to main content
GET
/
investors
/
{investor_id}
/
wallets
List wallets for an investor
curl --request GET \
  --url https://api.bluumfinance.com/v1/investors/{investor_id}/wallets \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "url": "/v1/investors/inv_01j9x8m2k7qpzwv3t5r6y8n0ab/wallets",
  "has_more": false,
  "data": [
    {
      "id": "wlt_01j9x8m2k7qpzwv3t5r6y8n0cd",
      "object": "wallet",
      "created": 1747776000,
      "livemode": false,
      "metadata": {},
      "currency": "USD",
      "balance": "1500.00",
      "available_balance": "1200.00",
      "reserved_balance": "300.00",
      "cash_withdrawable": "1000.00",
      "buying_power": "5000.00",
      "equity": "8500.00",
      "status": "active"
    },
    {
      "id": "wlt_01j9x8m2k7qpzwv3t5r6y8n0ef",
      "object": "wallet",
      "created": 1747780000,
      "livemode": false,
      "metadata": {},
      "currency": "EUR",
      "balance": "500.00",
      "available_balance": "500.00",
      "reserved_balance": "0.00",
      "cash_withdrawable": "0",
      "buying_power": "0",
      "equity": "0",
      "status": "active"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

investor_id
string
required

Prefixed public id of the investor (e.g. inv_…).

Response

List of wallets.

List envelope. data holds the page of items; each item is itself wrapped in a ResourceEnvelope.

object
enum<string>
required
Available options:
list
url
string
required

The endpoint path that produced this list.

Example:

"/v1/investors/inv_…/deposits"

has_more
boolean
required

Whether more results exist beyond data.

Example:

false

data
object[]
required